Package com.destroystokyo.paper.event.entity

# Class EnderDragonFireballHitEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.EnderDragonFireballHitEvent

All Implemented Interfaces:
  `Cancellable`

public class EnderDragonFireballHitEvent extends EntityEvent implements Cancellable
Fired when a DragonFireball collides with a block/entity and spawns an AreaEffectCloud

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EnderDragonFireballHitEvent(@NotNull DragonFireball fireball, @Nullable Collection<LivingEntity> targets, @NotNull AreaEffectCloud areaEffectCloud)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull AreaEffectCloud`
`getAreaEffectCloud()`
`@NotNull DragonFireball`
`getEntity()`
The fireball involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Collection<LivingEntity>`
`getTargets()`
The living entities hit by fireball May be null if no entities were hit
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnderDragonFireballHitEvent

public EnderDragonFireballHitEvent(@NotNull @NotNull DragonFireball fireball, @Nullable @Nullable Collection<LivingEntity> targets, @NotNull @NotNull AreaEffectCloud areaEffectCloud)

## Method Details

### getEntity

@NotNull public @NotNull DragonFireball getEntity()
The fireball involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getTargets

@Nullable public @Nullable Collection<LivingEntity> getTargets()
The living entities hit by fireball May be null if no entities were hit

Returns:
  the targets

### getAreaEffectCloud

@NotNull public @NotNull AreaEffectCloud getAreaEffectCloud()

Returns:
  The area effect cloud spawned in this collision

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event